StorageManagerAsyncHandler (The Data Transfer Agent Service 2.1.0-3.10.1 API)
Date: 2016-03-03

org.gcube.datatransfer.agent.impl.handlers

## Class StorageManagerAsyncHandler

- java.lang.Object
- - org.gcube.datatransfer.agent.impl.handlers.TransferHandler
  - - org.gcube.datatransfer.agent.impl.handlers.StorageManagerAsyncHandler

- All Implemented Interfaces:
    Runnable

      public class StorageManagerAsyncHandler
      extends TransferHandler

  Author:
    Andrea Manzi(CERN)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `bufferSize`

    - ### Fields inherited from class org.gcube.datatransfer.agent.impl.handlers.TransferHandler

      `destData, endIndex, errorHappened, inputFiles, logger, outPath, startIndex, timeout, transferId, transferType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StorageManagerAsyncHandler(String[] inputFiles, String outPath, String transferId, org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType type, org.gcube.contentmanagement.blobstorage.service.IClient client, org.gcube.datatransfer.agent.stubs.datatransferagent.DestData data, int startIndex, int endIndex)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class org.gcube.datatransfer.agent.impl.handlers.TransferHandler

      `getTransferObjList, isErrorHappened, setTransferObj`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bufferSize

          public static int bufferSize

  - ### Constructor Detail

    - #### StorageManagerAsyncHandler

          public StorageManagerAsyncHandler(String[] inputFiles,
                                    String outPath,
                                    String transferId,
                                    org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType type,
                                    org.gcube.contentmanagement.blobstorage.service.IClient client,
                                    org.gcube.datatransfer.agent.stubs.datatransferagent.DestData data,
                                    int startIndex,
                                    int endIndex)

  - ### Method Detail

    - #### run

          public void run()

Copyright © 2016. All Rights Reserved.